[Overview][Constants][Types][Classes][Index] | Reference for unit 'fpjson' (#fcl)

# TJSONNumber.NumberType

Kind of numerical data managed by this class.

## Declaration

Source position: fpjson.pp line 121

`public class function TJSONNumber.NumberType: TJSONNumberType; virtual; abstract;`

## Function result

the kind of numerical data managed by this class.

## Description

NumberType is overridden by TJSONNumber descendents to return the kind of numerical data that can be managed by the class.

## See also

TJSONIntegerNumber |  | Class to represent 32-bit integer JSON data.
TJSONInt64Number |  | Class to represent 64-bit integer JSON data.
TJSONFloatNumber |  | Class to represent floating-point JSON data.
JSONType

Documentation generated on: Feb 26 2014